var JV = require('../jpc_value_define');
var JpcCommonOutputHelper = require('./jpc_helper_common_output');
var JpcAreaHelper = require('./jpc_helper_area');

var JpcTextHelper = {
    outputText: function (textNode, band, unitFactor, rows, rowIdx, cols, colIdx, multiCols, multiColIdx) {
        var rst = JpcCommonOutputHelper.createCommonOutput(textNode, textNode[JV.PROP_LABEL], null);
        //position
        rst[JV.PROP_AREA] = JpcAreaHelper.outputArea(textNode[JV.PROP_AREA], band, unitFactor, rows, rowIdx, cols, colIdx, multiCols, multiColIdx, false, false);
        return rst;
    }
};

module.exports = JpcTextHelper;